import fs from 'fs'
import path from 'path'
import { defineConfig } from 'vite'
import { createVuePlugin } from 'vite-plugin-vue2'
export default defineConfig({
  plugins: [createVuePlugin()],
  server: {
    host: 'dev.ezijing.com',
    https: {
      key: fs.readFileSync(path.join(__dirname, './build/dev.ezijing.com.key')),
      cert: fs.readFileSync(path.join(__dirname, './build/dev.ezijing.com.pem'))
    },
    proxy: {
      '/api': 'https://shop-admin.ezijing.com'
    }
  },
  resolve: {
    alias: [
      {
        find: '@',
        replacement: path.resolve(__dirname, 'src')
      }
    ]
  }
})
